package com.gh.gamecenter.xapk.core

import com.gh.gamecenter.xapk.pi.IPackageInstaller

interface XApkUnZipCallback {

    fun onProgress(apk: XApkFile, progress: Float)

    fun onSuccess(apk: XApkFile, installer: IPackageInstaller)

    fun onError(apk: XApkFile, exception: Throwable)

    fun onCancel(apk: XApkFile)

    fun onNext(apk: XApkFile, fileName: String)
}